import request from '@/utils/request'
import { encrypt } from '@/utils/jsencrypt' // 公钥,私钥都声明在里面

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  if(process.env.VUE_APP_ENABLE_SECRET)
  {
    data.username = encrypt(username);
    data.password = encrypt(password);
  }
  return request({
    url: '/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/gkyzm',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}
